summaryrefslogtreecommitdiff
path: root/qa/028
diff options
context:
space:
mode:
Diffstat (limited to 'qa/028')
-rwxr-xr-xqa/02865
1 files changed, 65 insertions, 0 deletions
diff --git a/qa/028 b/qa/028
new file mode 100755
index 0000000..0412b4e
--- /dev/null
+++ b/qa/028
@@ -0,0 +1,65 @@
+#! /bin/sh
+# PCP QA Test No. 028
+# pmnscomp and pmLoadNameSpace for various peculiar name spaces
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out
+if [ $PCP_VER -lt 3600 ]
+then
+ ln $seq.out.1 $seq.out || exit 1
+else
+ ln $seq.out.2 $seq.out || exit 1
+fi
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+cat >$tmp.src <<End-of-File
+root {
+ empty
+ me 1:2:0
+ you 1:2:1
+ level_one
+}
+
+level_one {
+ us 1:3:0
+ them 1:3:1
+ aliens 1:3:2
+ level_two
+}
+
+level_one.level_two {
+ empty
+}
+
+empty {
+}
+
+level_one.level_two.empty {
+}
+End-of-File
+
+echo "Load ascii ..."
+pminfo -n $tmp.src
+
+if [ $PCP_VER -lt 3600 ]
+then
+ echo ""
+ echo "Compile ..."
+ pmnscomp -n $tmp.src $tmp.bin
+
+ echo ""
+ echo "Load binary ..."
+ pminfo -n $tmp
+fi